Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronizations
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.Synchronizations.CreateAsync(
            "id"
        );
    }

}
{
  "connection_id": "<string>",
  "synchronization_id": "<string>",
  "status": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the connection to trigger synchronization for

Réponse

The directory synchronization was triggered. See Response Schemas for schema.

connection_id
string
requis

The connection's identifier

synchronization_id
string
requis

The synchronization's identifier

status
string
requis

The synchronization status